# Zprovoznění generátoru

## Potřebné nástroje

Ke spuštění generátoru je zapotřebí mít Node.js 13.0.0+ a npm 6.0.0 + (ten by už měl být zakomponován v Node.js). Po
instalaci Node.js je nutné nainstalovat Yeoman pomocí příkazu ```npm install -g yo```.

## Instalace generátoru

Instalace se provede příkazem ```npm link``` ve složce s generátorem.

## Spuštění generátoru

Generátor možné spustit buď výběrem z nainstalovaných generátoru v rozhraní Yeomena, spuštěno příkazem ```yo```, nebo
spuštění generátoru rovnou příkazem ```yo cca-eisir-grid```.

### Vstupy z příkazové řádky

Generátor má pouze jeden vstup a to ```––outputFilename```.
Output filename je cesta k souboru kam se má grid vygenerovat.

### Vstupy po spuštění generátoru

Po spuštení generátoru yeoman požaduje 2 parametry.
1. jestli je grid editační, volba ano/ne
2. jméno gridu, zadává se ve formátu camel case
3. počet sloupečků v gridu

Následně se pro každý sloupeček zeptá na 
1. jméno sloupečku
2. typ sloupečku, na výběr jsou možnosti, text, date, numeric a boolean
3. pokud je grid editační, tak se vyplňuje, jestli se daný sloupeček dá editovat volbou ano/ne

## Výstupem generátoru

Výstupem soubor obsahující HTML grid. Ten si programátor zkopíruje kam potřebuje.

### Kroky po vygenerování
Po vygenerování gridu je potřeba daný kód překopírovat do cílového kódu. 
Pokud se jedná o editační grid, je ještě potřeba nastavit maximální délky textů 
u ```text``` sloupečku při editaci a minimální a maximální číselné hodnoty 
u ```numeric``` sloupečků. Maxima hodnot by bylo možné přidat i generátorů, 
ale místo toho bylo požadováno u nich nastavit malou hodnotu například u délky textu 
3 znaky. 
