GRANT
ALL
PRIVILEGES
ON
SCHEMA
konfigurace TO "ccarocket-adm";
INSERT INTO konfigurace.parametr_skupina (skupina, nazev)
VALUES ('IDM/AM', 'Identity Manager/Access Manager');
INSERT INTO konfigurace.parametr (parametr, skupina, popis, typ_hodnoty, hodnota_char, hodnota_number, hodnota_date,
                                  max_length, dec_place, povinny, vychozi_hodnota_char, vychozi_hodnota_number,
                                  vychozi_hodnota_date, heslo, nezobrazovat,
                                  datum_aktualizace, aktualizoval)
VALUES ('keycloak.auth.url', 'IDM/AM', 'URL adresa služby pro ověření identity uživatele.',
        'C', 'https://ccarocket-idm.cca.cz:8443/auth', null, null, null, null, true,
        'https://ccarocket-idm.cca.cz:8443/auth',
        null, null, false, false, null, null);
INSERT INTO konfigurace.parametr (parametr, skupina, popis, typ_hodnoty, hodnota_char, hodnota_number, hodnota_date,
                                  max_length, dec_place, povinny, vychozi_hodnota_char, vychozi_hodnota_number,
                                  vychozi_hodnota_date, heslo, nezobrazovat,
                                  datum_aktualizace, aktualizoval)
VALUES ('keycloak.client.id', 'IDM/AM', 'Název klienta v Keycloak.',
        'C', 'admin-cli', null, null, null, null, true, 'admin-cli', null, null, false, false, null, null);
INSERT INTO konfigurace.parametr (parametr, skupina, popis, typ_hodnoty, hodnota_char, hodnota_number, hodnota_date,
                                  max_length, dec_place, povinny, vychozi_hodnota_char, vychozi_hodnota_number,
                                  vychozi_hodnota_date, heslo, nezobrazovat,
                                  datum_aktualizace, aktualizoval)
VALUES ('keycloak.client.password', 'IDM/AM',
        'Přihlašovací údaje (heslo) pro stáhnutí seznamu uživatelů z Keycloak.', 'C', 'reader',
        null, null, null, null, true, 'reader', null, null, true, false, null, null);
INSERT INTO konfigurace.parametr (parametr, skupina, popis, typ_hodnoty, hodnota_char, hodnota_number, hodnota_date,
                                  max_length, dec_place, povinny, vychozi_hodnota_char, vychozi_hodnota_number,
                                  vychozi_hodnota_date, heslo, nezobrazovat,
                                  datum_aktualizace, aktualizoval)
VALUES ('keycloak.client.user', 'IDM/AM',
        'Přihlašovací údaje (uživatelské jméno) pro stáhnutí seznamu uživatelů z Keycloak.', 'C',
        'reader', null, null, null, null, true, 'reader', null, null, false, false, null, null);
INSERT INTO konfigurace.parametr (parametr, skupina, popis, typ_hodnoty, hodnota_char, hodnota_number, hodnota_date,
                                  max_length, dec_place, povinny, vychozi_hodnota_char, vychozi_hodnota_number,
                                  vychozi_hodnota_date, heslo, nezobrazovat,
                                  datum_aktualizace, aktualizoval)
VALUES ('keycloak.realm.name', 'IDM/AM',
        'Název realmu Identity Manageru. Slouží pro přihlášení do Keycloak a stažení uživatelů.', 'C',
        'CCA20RT_realm', null, null, null, null, true, 'CCA20RT_realm',
        null, null, false, false, null, null);
INSERT INTO konfigurace.parametr (parametr, skupina, popis, typ_hodnoty, hodnota_char, hodnota_number, hodnota_date,
                                  max_length, dec_place, povinny, vychozi_hodnota_char, vychozi_hodnota_number,
                                  vychozi_hodnota_date, heslo, nezobrazovat,
                                  datum_aktualizace, aktualizoval)
VALUES ('keycloak.resource.name', 'IDM/AM', 'Definice názvu systému v Keycloak.',
        'C', 'cca-2-0-rocket-template', null, null, null, null, true, 'cca-2-0-rocket-template', null, null, false,
        false, null,
        null);
