# Zprovoznění generátoru

## Potřebné nástroje

Ke spuštění generátoru je zapotřebí mít Node.js 13.0.0+ a npm 6.0.0 + (ten by už měl být zakomponován v Node.js). Po
instalaci Node.js je nutné nainstalovat Yeoman pomocí příkazu ```npm install -g yo```.

## Instalace generátoru

Instalace se provede příkazem ```npm link``` ve složce s generátorem.

## Spuštění generátoru

Generátor možné spustit buď výběrem z nainstalovaných generátoru v rozhraní Yeomena, spuštěno příkazem ```yo```, nebo
spuštění generátoru rovnou příkazem ```yo cca-rocket-klient```.

### Vstupy z příkazové řádky

Generátor má pouze jeden vstup a to ```––projectPath <cesta ke složce>```.
Project path je cesta ke složce kam se má kostra klienta vygenerovat.

### Vstupy po spuštění generátoru

Po spuštení generátoru yeoman požaduje 2 parametry.

1. název komponenty, jednotlivá slova jsou oddělena pomlčkou
2. název kořenového balíčku, jednotlivé balíčky jsou odděleny tečkou
3. společný základ endpointů služeb komponenty, pro kterou je klient generován. URL začíná textem a poté je standardně oddělován znakem lomítka /

## Výstupem generátoru

Výstupem je zkompilovatená kostra knihovny klienta. 

### Kroky po vygenerování
Po vygenerování je ještě zapotřebí implementovat endpointy REST služby dané komponenty. V rozhraní 
```NázevService.java``` je potřeba pro každý endpoint připravit definici funkce. Pokud jsou potřeba nějaká 
DTO, je nutné vytvořit balíček dto a do něj je vložit. Následně je potřeba implementovat rozhraní do 
```NázevServiceImpl.java```. Po těchto krocích je klient připraven k použití.
