package <%= rootPackageName %>.db.repo.konfigurace;

import cz.cca.hedgehog.core.db.domain.konfigurace.ParametrEnt;
import org.springframework.context.annotation.Primary;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Primary
@Repository("parametrRepository")
public interface ParametrRepository extends JpaRepository<ParametrEnt, String>, QuerydslPredicateExecutor<ParametrEnt> {

    List<ParametrEnt> findByOrderByParametrAsc();

}
