package <%= rootPackageName %>.db.repo.konfigurace;

import cz.cca.hedgehog.core.db.domain.konfigurace.ParametrSkupinaEnt;
import org.springframework.context.annotation.Primary;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

@Primary
@Repository("parametrSkupinaRepository")
public interface ParametrSkupinaRepository extends JpaRepository<ParametrSkupinaEnt, String>, QuerydslPredicateExecutor<ParametrSkupinaEnt> {

    ParametrSkupinaEnt findBySkupina(String skupina);

}
