package <%= rootPackageName %>.klient.service;

import cz.cca.config.api.spring.NumberParam;
import cz.cca.config.api.spring.ParamName;
import cz.cca.config.api.spring.StringParam;
import cz.cca.hedgehog.klient.HedgehogKlient;
import cz.cca.hedgehog.user.uzivatele.UzivateleApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;

@Service
public class <%= clientName %>ServiceImpl implements <%= clientName %>Service {

    private static final String URL = "<%= endpointUrl %>";

    @ParamName("<%= clientNameDot %>.klient.path")
    private StringParam path;

    @ParamName("<%= clientNameDot %>.klient.timeout")
    private NumberParam timeout;

    private HedgehogKlient klient;

    @Autowired
    private UzivateleApi uzivateleApi;

    @PostConstruct
    private void init() {
        klient = new HedgehogKlient(path.get() + URL, timeout.get().intValue());
    }
}

