'use strict';
var Generator = require('yeoman-generator');

module.exports = class extends Generator {

  // The name `constructor` is important here
  constructor(args, opts) {
    // Calling the super constructor is important so our generator is correctly set up
    super(args, opts);
  }

  async prompting() {
    this.answers = await this.prompt([
      {
        type: "input",
        name: "nazev",
        message: "nazev ciselniku",
      },

    ]);
    //this.log('nazev ciselniku: ', answers.ciselnikNazev);
  }

  async writing() {
    this.fs.copyTpl(
      this.templatePath('java/_Ciselnik.java'),
      this.destinationPath(this.answers.nazev + 'Impl.java'), {
        nazev: this.answers.nazev,
        nazevLower: this.answers.nazev.charAt(0).toLocaleLowerCase() +
          this.answers.nazev.slice(1)
      }
    );
  }

};
